System.Web 2.0.0.0 System.Object System.Web.SessionState.ISessionIDManager

The class is an HTTP module that manages unique session identifiers for use with ASP.NET session state. The unique identifier for an ASP.NET session is the property, which can be accessed from the property of the current or . The ASP.NET session identifier is a randomly generated number encoded into a 24-character string consisting of lowercase characters from a to z and numbers from 0 to 5.

By default, the value is sent in a cookie with each request to the ASP.NET application. The name of the cookie that contains the value is ASP.NET_SessionId by default. You can configure a different cookie name by setting the cookieName attribute of the sessionState Element (ASP.NET Settings Schema) to the desired cookie name.

If you want to disable the use of cookies in your ASP.NET application and still make use of session state, you can configure your application to store the session identifier in the URL instead of a cookie by setting the cookieless attribute of the sessionState element to true in the Web.config file for your application. For more information, see the property.

Manages unique identifiers for ASP.NET session state.

- Constructor
  2.0.0.0

  This constructor is not intended to be called from application code.

  ASP.NET calls this constructor to create an instance of the class. After calling the constructor, ASP.NET calls the method to initialize the new object.

  Creates an instance of the class.

- Method
  2.0.0.0
  System.String ``

  This method is not intended to be called from application code.

  The method returns a unique session identifier that is a randomly generated number encoded into a 24-character string consisting of lowercase characters from a to z and numbers from 0 to 5.

  Creates a unique session identifier for the session.

  A unique session identifier.

  The current object that references server objects used to process HTTP requests (for example, the and properties).
- Method
  2.0.0.0
  System.String ``

  This method is not intended to be called from application code.

  This method is used internally by the class to decode custom values created by classes that inherit the class and override the and methods. To ensure the fidelity of a custom session-identifier value retrieved from the HTTP request by the method, the decodes the custom value using the method.

  Decodes a URL-encoded session identifier obtained from a cookie or the URL.

  The decoded session identifier.

  The session identifier to decode.
- Method
  2.0.0.0
  System.String ``

  This method is not intended to be called from application code.

  This method is used internally by the class to encode custom values created by classes that inherit the class and override the and methods. To ensure the fidelity of a custom session-identifier value stored in the HTTP response by the method, the encodes the custom value using the method.

  For an example of a class that inherits the class and overrides the and methods, see the method.

  Encodes the session identifier for saving to either a cookie or the URL.

  The encoded session identifier.

  The session identifier to encode.
- Method
  2.0.0.0
  System.String ``

  This method is not intended to be called from application code.

  The calls the method during the event to retrieve the from the current .

  Gets the session-identifier value from the current Web request.

  The current .

  The current object that references server objects used to process HTTP requests (for example, the and properties).
- Method
  2.0.0.0
  System.Void

  The method reads the session configuration data from the sessionState configuration element of the configuration files.

  Initializes the object with information from configuration files.

- Method
  2.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  This method is not intended to be called from application code.

  The calls the method during the event to remove the session identifier from the collection of the if a new session was created but was not used.

  Deletes the session-identifier cookie from the HTTP response.

  The current object that references server objects used to process HTTP requests (for example, the and properties).
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added.

  The maximum length of a session identifier is 80 characters.

  While session identifiers created by the method are 24 characters long, the maximum length of a session identifier allowed by the class is 80 characters. This is especially important if you implement a custom . The method, which retrieves session-identifier values from the current , ensures that values do not exceed the value and that the session identifier is a 24-character string containing only the lowercase characters a to z and the numbers 0 to 5 by calling the method. If you implement a custom class that inherits the class and overrides the method but not the method, your custom session-identifier values must meet the constraints above. For an example of overriding the class and implementing these methods, see the example provided for the method.

  Gets the maximum length of a valid session identifier.

- Method
  2.0.0.0
  System.Boolean ``

  This method is not intended to be called from application code.

  The method verifies that the supplied is a 24-character string consisting of lowercase characters from a to z and numbers from 0 to 5 and that the maximum length of the session ID does not exceed 80 characters.

  The method calls the method when retrieving a session identifier from an HTTP request, to ensure that the supplied session identifier is properly formatted.

  Gets a value indicating whether a session identifier is valid.

  true if the session identifier is valid; otherwise, false.

  The session identifier to validate.